import { MetadataComponent, SfdxFileFormat, ConvertOutputConfig, ConvertResult } from '../types';
import { RegistryAccess } from '../metadata-registry';
export declare class MetadataConverter {
    private registryAccess;
    constructor(registryAccess?: RegistryAccess);
    /**
     * Convert metadata components to another SFDX file format.
     *
     * @param components Components to convert
     * @param targetFormat Format to convert the component files to
     * @param output Configuration for outputting the converted files
     */
    convert(components: MetadataComponent[], targetFormat: SfdxFileFormat, output: ConvertOutputConfig): Promise<ConvertResult>;
    private getPackagePath;
}
