import { BaseSourceAdapter } from './base';
import { SourcePath } from '../../types';
/**
 * Handles types with a single content file with a matching file extension.
 * These tend to be the programmatic types.
 *
 * __Example Types__:
 *
 * ApexClass, ApexTrigger, ApexComponent
 *
 * __Example Structure__:
 *
 * ```text
 * foos/
 * ├── foobar.ext
 * ├── foobar.ext-meta.xml
 *```
 */
export declare class MatchingContentFile extends BaseSourceAdapter {
    protected getMetadataXmlPath(pathToSource: SourcePath): SourcePath;
    protected getSourcePaths(fsPath: SourcePath, isMetaXml: boolean): SourcePath[];
}
