export { RegistryAccess } from './registryAccess';
export { ManifestGenerator } from './manifestGenerator';
/**
 * Direct access to the JSON registry data. Useful for autocompletions.
 */
export declare const registryData: Readonly<{
    "types": {
        "installedpackage": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customlabels": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "navigationmenu": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "staticresource": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "scontrol": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "experiencebundle": {
            "name": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "certificate": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "lightningmessagechannel": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "auradefinitionbundle": {
            "name": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "lightningcomponentbundle": {
            "name": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "apexcomponent": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "apexpage": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "queue": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customdatatype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "casesubjectparticle": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "externaldatasource": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "namedcredential": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "externalserviceregistration": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "role": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "territory": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "group": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "uiplugin": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "globalvalueset": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "globalpicklist": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "standardvalueset": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "custompermission": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customobject": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "children": {
                "types": {
                    "businessprocess": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "compactlayout": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "customfield": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "fieldset": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "index": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "listview": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "recordtype": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "sharingreason": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "validationrule": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                    "weblink": {
                        "name": string;
                        "directoryName": string;
                        "suffix": string;
                    };
                };
                "suffixes": {
                    "businessProcess": string;
                    "compactLayout": string;
                    "field": string;
                    "fieldSet": string;
                    "index": string;
                    "listView": string;
                    "recordType": string;
                    "sharingReason": string;
                    "validationRule": string;
                    "webLink": string;
                };
            };
            "inFolder": boolean;
        };
        "reporttype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "report": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "dashboard": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "visualizationplugin": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "analyticsnapshot": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customfeedfilter": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "layout": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "document": {
            "name": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "custompageweblink": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "letterhead": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "emailtemplate": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "quickaction": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "form": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "flexipage": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customtab": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customapplicationcomponent": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customapplication": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "portal": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "embeddedserviceconfig": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "embeddedserviceliveagent": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "embeddedservicefieldservice": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "embeddedservicebranding": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "recommendationstrategy": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "flow": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "flowdefinition": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "eventtype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "eventsubscription": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "eventdelivery": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "workflow": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "assignmentrules": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "autoresponserules": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "escalationrules": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "posttemplate": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "approvalprocess": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "homepagecomponent": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "homepagelayout": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customobjecttranslation": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "translations": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "globalvaluesettranslation": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "standardvaluesettranslation": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "apexclass": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "apextrigger": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "apextestsuite": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "profile": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "permissionset": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "permissionsetgroup": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "custommetadata": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "profilepasswordpolicy": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "profilesessionsetting": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "datacategorygroup": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "remotesitesetting": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "csptrustedsite": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "matchingrules": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "duplicaterule": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "cleandataservice": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "servicechannel": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "queueroutingconfig": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "servicepresencestatus": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "presencedeclinereason": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "presenceuserconfig": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "authprovider": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "wavetemplatebundle": {
            "name": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "waveapplication": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "wavedataset": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "eclairgeodata": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "wavelens": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "wavedashboard": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "wavexmd": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "wavedataflow": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "waverecipe": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customsite": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "channellayout": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "contentasset": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "marketingresourcetype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "sharingrules": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "sharingset": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "community": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "chatterextension": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "callcenter": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "milestonetype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "entitlementprocess": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "entitlementtemplate": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customnotificationtype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "connectedapp": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "appmenu": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "delegategroup": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "sitedotcom": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "network": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "networkbranding": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customexperience": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "communitythemedefinition": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "brandingset": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "flowcategory": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "lightningbolt": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "lightningexperiencetheme": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "communitytemplatedefinition": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "managedtopics": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "keywordlist": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "usercriteria": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "moderationrule": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "territory2type": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "territory2model": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "territory2rule": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "territory2": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "campaigninfluencemodel": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "samlssoconfig": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "datapipeline": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "corswhitelistorigin": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "actionlinkgrouptemplate": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "licensedefinition": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "transactionsecuritypolicy": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "accesscontrolpolicy": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "skill": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "livechatdeployment": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "livechatbutton": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "livechatagentconfig": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "synonymdictionary": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "xorghub": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "pathassistant": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "leadconvertsettings": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "livechatsensitivedatarule": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "platformcachepartition": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "assistantrecommendationtype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "insighttype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "topicsforobjects": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "emailservicesfunction": {
            "name": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "integrationhubsettingstype": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "integrationhubsettings": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "orchestrationcontext": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "orchestration": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "aiassistanttemplate": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "settings": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "featureparameterboolean": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "featureparameterdate": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "featureparameterinteger": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "commandaction": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "oauthcustomscope": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "platformeventchannel": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "customhelpmenusection": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "prompt": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "mldomain": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "bot": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "childXmlNames": string[];
            "inFolder": boolean;
        };
        "animationrule": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "recordactiondeployment": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "embeddedserviceflowconfig": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "platformeventchannelmember": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "canvasmetadata": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "mobileapplicationdetail": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "lightningonboardingconfig": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "reportfolder": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "dashboardfolder": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "documentfolder": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
        "emailfolder": {
            "name": string;
            "suffix": string;
            "directoryName": string;
            "inFolder": boolean;
        };
    };
    "suffixes": {
        "installedPackage": string;
        "labels": string;
        "navigationMenu": string;
        "resource": string;
        "scf": string;
        "crt": string;
        "messageChannel": string;
        "component": string;
        "page": string;
        "queue": string;
        "datatype": string;
        "CaseSubjectParticle": string;
        "dataSource": string;
        "namedCredential": string;
        "externalServiceRegistration": string;
        "role": string;
        "territory": string;
        "group": string;
        "uiplugin": string;
        "globalValueSet": string;
        "globalPicklist": string;
        "standardValueSet": string;
        "customPermission": string;
        "object": string;
        "reportType": string;
        "report": string;
        "dashboard": string;
        "visualizationPlugin": string;
        "snapshot": string;
        "feedFilter": string;
        "layout": string;
        "weblink": string;
        "letter": string;
        "email": string;
        "quickAction": string;
        "form": string;
        "flexipage": string;
        "tab": string;
        "customApplicationComponent": string;
        "app": string;
        "portal": string;
        "EmbeddedServiceConfig": string;
        "EmbeddedServiceLiveAgent": string;
        "EmbeddedServiceFieldService": string;
        "EmbeddedServiceBranding": string;
        "recommendationStrategy": string;
        "flow": string;
        "flowDefinition": string;
        "eventType": string;
        "subscription": string;
        "delivery": string;
        "workflow": string;
        "assignmentRules": string;
        "autoResponseRules": string;
        "escalationRules": string;
        "postTemplate": string;
        "approvalProcess": string;
        "homePageComponent": string;
        "homePageLayout": string;
        "objectTranslation": string;
        "translation": string;
        "globalValueSetTranslation": string;
        "standardValueSetTranslation": string;
        "cls": string;
        "trigger": string;
        "testSuite": string;
        "profile": string;
        "permissionset": string;
        "permissionsetgroup": string;
        "md": string;
        "profilePasswordPolicy": string;
        "profileSessionSetting": string;
        "datacategorygroup": string;
        "remoteSite": string;
        "cspTrustedSite": string;
        "matchingRule": string;
        "duplicateRule": string;
        "cleanDataService": string;
        "serviceChannel": string;
        "queueRoutingConfig": string;
        "servicePresenceStatus": string;
        "presenceDeclineReason": string;
        "presenceUserConfig": string;
        "authprovider": string;
        "wapp": string;
        "wds": string;
        "geodata": string;
        "wlens": string;
        "wdash": string;
        "xmd": string;
        "wdf": string;
        "wdpr": string;
        "site": string;
        "channelLayout": string;
        "asset": string;
        "marketingResourceType": string;
        "sharingRules": string;
        "sharingSet": string;
        "community": string;
        "ChatterExtension": string;
        "callCenter": string;
        "milestoneType": string;
        "entitlementProcess": string;
        "entitlementTemplate": string;
        "notiftype": string;
        "connectedApp": string;
        "appMenu": string;
        "delegateGroup": string;
        "network": string;
        "networkBranding": string;
        "customExperience": string;
        "communityThemeDefinition": string;
        "brandingSet": string;
        "flowCategory": string;
        "lightningBolt": string;
        "lightningExperienceTheme": string;
        "communityTemplateDefinition": string;
        "managedTopics": string;
        "keywords": string;
        "userCriteria": string;
        "rule": string;
        "territory2Type": string;
        "territory2Model": string;
        "territory2Rule": string;
        "territory2": string;
        "campaignInfluenceModel": string;
        "samlssoconfig": string;
        "dataPipeline": string;
        "corsWhitelistOrigin": string;
        "actionLinkGroupTemplate": string;
        "licenseDefinition": string;
        "transactionSecurityPolicy": string;
        "policy": string;
        "skill": string;
        "liveChatDeployment": string;
        "liveChatButton": string;
        "liveChatAgentConfig": string;
        "synonymDictionary": string;
        "xorghub": string;
        "pathAssistant": string;
        "LeadConvertSetting": string;
        "liveChatSensitiveDataRule": string;
        "cachePartition": string;
        "assistantRecommendationType": string;
        "insightType": string;
        "topicsForObjects": string;
        "type": string;
        "settings": string;
        "orchestrationContext": string;
        "orchestration": string;
        "aiAssistantTemplate": string;
        "featureParameterBoolean": string;
        "featureParameterDate": string;
        "featureParameterInteger": string;
        "commandaction": string;
        "oauthcustomscope": string;
        "platformEventChannel": string;
        "customHelpMenuSection": string;
        "prompt": string;
        "mlDomain": string;
        "bot": string;
        "animationRule": string;
        "deployment": string;
        "EmbeddedServiceFlowConfig": string;
        "platformEventChannelMember": string;
        "Canvas": string;
        "MobileApplicationDetail": string;
        "lightningOnboardingConfig": string;
        "reportFolder": string;
        "dashboardFolder": string;
        "documentFolder": string;
        "emailFolder": string;
    };
    "mixedContent": {
        "experiences": string;
        "aura": string;
        "lwc": string;
        "documents": string;
        "waveTemplates": string;
        "objects": string;
        "staticresources": string;
    };
    "adapters": {
        "apexclass": string;
        "apexpage": string;
        "apexcomponent": string;
        "apextrigger": string;
        "auradefinitionbundle": string;
        "certificate": string;
        "contentasset": string;
        "customobject": string;
        "document": string;
        "emailtemplate": string;
        "experiencebundle": string;
        "lightningcomponentbundle": string;
        "staticresource": string;
        "waveTemplates": string;
    };
    "apiVersion": string;
}>;
