import { MetadataType } from './common';
/**
 * Metadata type definitions
 */
export declare type TypeIndex = {
    [typeId: string]: MetadataType;
};
/**
 * Mapping of metadata suffixes -> type ids.
 */
export declare type SuffixIndex = {
    [suffix: string]: string;
};
/**
 * Describes the shape of the registry data.
 */
export declare type MetadataRegistry = {
    types: TypeIndex;
    suffixes?: SuffixIndex;
    /**
     * Index mapping directoryNames to type ids for types with mixed content.
     */
    mixedContent: {
        [directoryName: string]: string;
    };
    /**
     * SourceAdapter mappings for types that need an explicit definition.
     */
    adapters: {
        [typeId: string]: string;
    };
    /**
     * API Version
     */
    apiVersion: string;
};
/**
 * Properties of a metadata xml's file name
 */
export declare type MetadataXml = {
    fullName: string;
    suffix: string;
};
