import { MetadataXml } from '../types';
/**
 * Returns the `MetadataXml` info from a given file path. If the path is not a
 * metadata xml file (-meta.xml), returns `undefined`
 *
 * @param fsPath
 */
export declare const parseMetadataXml: (fsPath: string) => MetadataXml;
export declare const findMetadataXml: (directory: string, fullName: string) => string;
/**
 * If there's more than one content file with the same fullName, it will
 * return the first one found.
 */
export declare const findMetadataContent: (directory: string, fullName: string) => string;
/**
 * Deeply freezes an object, making the entire thing immutable.
 * @param object Object to deep freeze
 */
export declare const deepFreeze: <T>(object: T) => Readonly<T>;
